Subject: bug#76402: ‘guix-packages-website’ fails to start

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 Mar 2025 15:38:18 +0100

Hi Luis,

Luis Felipe <[email-masked]> skribis:

> Well, in version 0.4.0 of the packages website the «gweb» library was
> moved to the «lib» directory, which is supposed to be added to Guile
> load path automatically
> (https://codeberg.org/luis-felipe/guix-packages-website/src/branch/master/ENTRY#L10).
>
> But I don't understand why the instance in bayfront fails to find
> (gweb builders). I just tried the patched service again in a virtual
> machine and it works as expected:

I just checked and the version loaded on bayfront, which fails to start,
is indeed the new one:

--8<---------------cut here---------------start------------->8---
ludo@bayfront ~$ sudo guix gc -R "/gnu/store/9f80017pisp12hh4fwgqri8j991z2q75-wrapped-art-for-guix-packages-website" |grep packages-web
/gnu/store/vgw4nllwy0max4bxrr1llfcgahn31w7s-guix-packages-website-0.4.0-0.3abfada-checkout
/gnu/store/9f80017pisp12hh4fwgqri8j991z2q75-wrapped-art-for-guix-packages-website
--8<---------------cut here---------------end--------------->8---

I won’t be able to look into it before some time.  Could someone on
guix-sysadmin take a look?

Thanks,
Ludo’.